<%@ page import="ro.emid.common.utils.ObjectUtils" %>
<%@ page import="ro.emid.common.types.TipInstalatie" %>
<%@ page import="ro.emid.common.types.Fisa" %>
<%@ page import="ro.emid.common.types.Instalatie" %>
<%@ page import="ro.emid.common.utils.BrowseController" %>
<%@ page import="ro.emid.common.utils.BrowseData" %>

<respmesg>
<%try{
    final Fisa fisa = BrowseController.getBrowseFisa(session);

    final BrowseData data = BrowseController.getBrowseData( session);
    final String codEmidStatie = ObjectUtils.getStringValue(request.getParameter("codEmidStatie"));
    
    Instalatie linii[] = new Instalatie[0];
    if( codEmidStatie.length() > 0){
        linii = data.getProvider().getLFByParentCodEmid(codEmidStatie, TipInstalatie.LINIE, data.getFilterCondition());
    }
%>
[<% for (int i = 0; i < linii.length; i++) {
        final Instalatie linie = linii[i];%>
        {
            codSap : "<%=ro.emid.common.utils.Util.escapeToJs(linie.getCod())%>",
            codEmid : "<%=ro.emid.common.utils.Util.escapeToJs(linie.getTipProducator())%>",
            denumire : "<%=ro.emid.common.utils.Util.escapeToJs(linie.getNume())%>",
            checked  : <%=fisa.isLfChecked( linie.getCod())%>,
            sters  : <%=linie.esteSters()%>
        }<%=( i < linii.length - 1 ? "," : "")%>
<%  }%>
]
<%}catch( Exception t){
    t.printStackTrace();%>
    <%=t.getMessage()%>
<%}%>
</respmesg>